<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title>Ketahanan Pangan Umat</v-card-title>
          <v-card-text>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <span class="text-body-2"
                  >Merupakan inovasi Dari salah satu program Kementerian Agama
                  terkait Pemberdayaan ekonomi umat. Sejalan dengan harapan
                  pemerintah dimasa pandemi covid 19 untuk pemulihan ekonomi
                  maka Kanwil Kementerian Agama Provinsi Bali bekerjasama dengan
                  Panenpa memberdayakan pasar tradisional.</span
                >
                <br /><br />
                <v-btn outlined color="indigo" @click="panenpa">
                  Panenpa Store
                </v-btn>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "publik-tangan_umat",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Publik",
        disabled: false,
        href: "simanis",
      },
      {
        text: "Tangan Umat",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "Tangan Umat");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Publik");
        this.$router.back();
      }
    },
    panenpa() {
      //this.$store.dispatch("constant/set_title", "Panenpa Store");
      //this.$router.push(`/publik/panenpa`);
      const url = `https://panenpa.com/store/`
      window.open(url)
      
    }
  },
};
</script>

<style scoped>
</style>
